Function
generateSequence
Generates random state and alphabet sequences of a given HMM.
generateSequence(hmm, sequences, states, numSeq, maxLength)
Include Headers
seqan/graph_algorithms.h
Parameters

hmm | In-parameter:Input HMM. Types: Hmm
sequences | The StringSet of alphabet sequences. The StringSet of state sequences. Types: StringSet, StringSet
numSeq | The number of sequences to generate.
maxLength | The maximum length of the sequences. Remarks: Sequences might be shorter if the end state is reached prior to maxLength.

Remarks
Because of silent states, generated alphabet and state sequences might have different length.
Return Values
void
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47